Name:		geary
Version:	0.11.0
Release:	1%{?dist}
Summary:	A lightweight email program designed around conversations
# Geary is under LGPLv2+.
# SQLite3-unicodesn code is in the Public Domain.
# Snowball files and stemmers are covered by the BSD license.
# Icons are under CC-BY, CC-BY-SA or in the Public Domain (see
# COPYING.icons).
License:	LGPLv2+ and BSD and CC-BY and CC-BY-SA and Public Domain
URL:		https://wiki.gnome.org/Apps/Geary
Source0:	https://download.gnome.org/sources/geary/0.11/%{name}-%{version}.tar.xz
Patch0:		geary-0.5.3-vapigen.patch
BuildRequires:	vala >= 0.22.1
BuildRequires:	vala-tools >= 0.22.1
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	libappstream-glib
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.34.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:	pkgconfig(gee-0.8) >= 0.8.5
BuildRequires:	pkgconfig(libnotify) >= 0.7.5
BuildRequires:	pkgconfig(libcanberra) >= 0.28
BuildRequires:	pkgconfig(sqlite3) >= 3.7.4
BuildRequires:	pkgconfig(gmime-2.6) >= 2.6.14
BuildRequires:	pkgconfig(libsecret-1) >= 0.11
BuildRequires:	pkgconfig(gcr-3) >= 3.10.1
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.10.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your
email quickly and effortlessly. Its interface is based on
conversations, so you can easily read an entire discussion without
having to click from message to message. Geary is still in early
development and has limited features today, but we're planning to add
drag-and-drop attachments, lightning-fast searching, multiple account
support and much more. Eventually we'd like Geary to have an
extensible plugin architecture so that developers will be able to add
all kinds of nifty features in a modular way.


%prep
%setup -q
%patch0 -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DVALA_EXECUTABLE:FILEPATH=%{_bindir}/valac%{?vala_version_suffix} \
       -DVAPIGEN:FILEPATH=%{_bindir}/vapigen%{?vala_version_suffix} \
       -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF \
       -DDISABLE_CONTRACT=ON \
       ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
%make_install -C %{_target_platform}

%if 0%{?fedora} >= 22
# Update the screenshot shown in the software center
#
# NOTE: It would be *awesome* if this file was pushed upstream.
#
# See http://people.freedesktop.org/~hughsient/appdata/#screenshots for more details.
#
appstream-util replace-screenshots $RPM_BUILD_ROOT%{_datadir}/appdata/geary.appdata.xml \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/geary/a.png
%endif

desktop-file-validate \
  %{buildroot}%{_datadir}/applications/geary.desktop \
  %{buildroot}%{_datadir}/applications/geary-autostart.desktop

%find_lang %{name} --with-gnome


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%license COPYING COPYING.icons COPYING.snowball
%doc AUTHORS NEWS
%{_bindir}/geary
%{_datadir}/geary
%{_datadir}/applications/geary.desktop
%{_datadir}/applications/geary-autostart.desktop
%{_datadir}/appdata/geary.appdata.xml
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/apps/geary.*
%{_datadir}/icons/hicolor/*/actions/*
%{_datadir}/icons/hicolor/symbolic/apps/geary-symbolic.svg


%changelog
* Sun May 15 2016 Kalev Lember <klember@redhat.com> - 0.11.0-1
- Update to 0.11.0
- Use out of tree build

* Sun Mar 27 2016 Thomas Moschny <thomas.moschny@gmx.de> - 0.10.0-5
- Include upstream patches for crashes using WebKitGTK+ 2.4.10.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 24 2015 Thomas Moschny <thomas.moschny@gmx.de> - 0.10.0-2
- Update dependencies.
- Remove conditionals for Fedora < 20.
- New appstream-util features available only in Fedora >= 22.

* Thu Apr 16 2015 Kalev Lember <kalevlember@gmail.com> - 0.10.0-1
- Update to 0.10.0
- Use license macro for COPYING files

* Mon Mar 30 2015 Richard Hughes <rhughes@redhat.com> - 0.9.1-2
- Use better AppData screenshots

* Wed Feb  4 2015 Thomas Moschny <thomas.moschny@gmx.de> - 0.9.1-1
- Update to 0.9.1.

* Mon Jan 26 2015 Thomas Moschny <thomas.moschny@gmx.de> - 0.9.0-1
- Update to 0.9.0.

* Sat Dec 20 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.8.3-1
- Update to 0.8.3.

* Sun Nov 23 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.8.2-1
- Update to 0.8.2.
- Update License tag.

* Sat Oct 11 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.8.1-1
- Update to 0.8.1.
- Remove patch applied upstream.

* Mon Sep 29 2014 Debarshi Ray <rishi@fedoraproject.org> - 0.8.0-2
- Fix toolbar icon size (GNOME 732065)

* Fri Sep 19 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.8.0-1
- Update to 0.8.0.

* Wed Sep  3 2014 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2 (fixes CVE-2014-5444)
- Drop upstreamed patch for vala 0.25.x support

* Wed Aug 27 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.7.1-1
- Update to 0.7.1.
- Update patches.
- Drop obsolete dependency on libunique.

* Fri Aug 22 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.2-1
- Update to 0.6.2.
- Drop patch applied upstream.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 25 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.1-2
- Add patch to fix timezone in date header (rhbz#1121306).
- Add patch to build with vala 0.25.1.

* Fri Jul  4 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.1-1
- Update to 0.6.1.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.6.0-1
- Update to 0.6.0.

* Tue Feb 18 2014 Thomas Moschny <thomas.moschny@gmx.de> - 0.4.3-1
- Update to 0.4.3.
- Cherry-pick patch to compile with WebKitGTK 2.3.x.
- Update source URL.

* Sat Nov 23 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.4.2-1
- Update to 0.4.2.
- Drop patch applied upstream.

* Sat Nov 16 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.4.1-1
- Update to 0.4.1.

* Wed Oct  9 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.4.0-1
- Update to 0.4.0.
- Drop patch applied upstream.
- Update build requirements.
- Include appdata file.

* Sat Aug 17 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.3.1-3
- Fix FTBFS with WebKitGTK+ 2.1 (rhbz#992326).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.3.1-1
- Update to 0.3.1.

* Wed Mar 20 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.3.0-1
- Update to 0.3.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 19 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.2.2-1
- Update to 0.2.2.

* Wed Oct 10 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.2.1-1
- Update to 0.2.1.
- Add missing BR on intltool.

* Thu Oct  4 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.2.0-1
- Update to 0.2.0.

* Sun Sep 16 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.90-1.git9867509
- Update to current head.
- Fix icon items in %%files.

* Sat Sep  1 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-3.gitb6c50c2
- Update to current head.

* Wed Aug 22 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-2.git5665a4f
- Update to current head.
- Remove wildcards from %%files section.
- Do not pack other binaries than 'geary'.

* Sun Aug 19 2012 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-1.git4ff24e0
- New package.
